
********************************************************************************
* load and label data
 
 global path2  = "W:\Linus\projects\unichiEVO\temp\\"

 /*
 use "W:\Linus\projects\unichiEVO\temp\\raw1b_rnr.dta",clear

 * fix labels 
 label define sex 1"Men" 2"Women"
 label values sex sex

 label define unions 0"0" 1"1" 2"2" 3"3" 4"4" 5"5+"
 label values unions unions

 label define marry 0"0" 1"1" 2"2" 3"3+", modify
 label values marry marry
 
 label variable byear "Birth year"
 label define byear 1969"1969" 1970"1970" 1971"1971" 1972"1972"
 label values byear byear
 
 label variable inc4 "Income rank quartile"
 label define inc4 0"All" 1"1st quartile" 2"2nd quartile" 3"3rd quartile" 4"4th quartile"
 label values inc4 inc4

 label define uniondurx2 0"0" 1"1-4" 2"5-9" 3"10-14" 4"15-19" 5"20-24" 6"25+", modify
 label values uniondurx2 uniondurx2
	
 label define marrydurx2 0"0" 1"1-4" 2"5-9" 3"10-14" 4"15-19" 5"20-24" 6"25+", modify
 label values marrydurx2 marrydurx2
 
 replace inc4 = 0 
append using "W:\Linus\projects\unichiEVO\temp\\raw1b_rnr.dta" 

save "W:\Linus\projects\unichiEVO\temp\\raw1b_rnr_addtot.dta", replace

********************************************************************************




********************************************************************************
* Pearson's r duration count
use "W:\Linus\projects\unichiEVO\temp\\raw1b_rnr_addtot.dta", clear
cap frames change default
cap frames drop pearson
frame create  pearson inc sex corr 

forvalues s = 1/2 {
forvalues i = 0/4 {
corr uniondurx2 unions if sex == `s' & inc4 == `i'
frame post pearson (`i') (`s') (r(C)[2,1])
}
}

frame change pearson
export excel using "W:\Linus\projects\unichiEVO\temp\results.xlsx", sheet("pearson_dur_count") firstrow(variables) keepcellfmt
********************************************************************************

 */
 

********************************************************************************
* FIGURE 2 and 3
* main effects of men and women (BG) across income and conditions
* and income category and test sex difference in mating success measure

use "W:\Linus\projects\unichiEVO\temp\\raw1b_rnr_addtot.dta", clear

egen parity_stat_z =std(parity_stat)
egen forma_stat_z =std(forma_stat)
egen uniondur_z =std(uniondur)


gen blank = 1
gen condition1 = 1 if parity_stat != 0 // exl childless
gen condition2 = 1 if forma_stat != 0 // exl never partnered
gen condition3 = 1 if blank == 1 // no exclusion

* setup frame
cap frame change default
cap frame drop results
frame create results indep specification sex income estimate se p lci uci

forvalues c = 1/3 {
forvalues s = 1/2 {
forvalues i = 0/4 {

* regression estimation and move results to frame
reg parity_stat_z forma_stat_z byear if sex == `s' & inc4 == `i' & condition`c' == 1 
mat li r(table)
frame post results (1) (`c') (`s') (`i') (r(table)[1,1]) (r(table)[2,1]) (r(table)[4,1]) (r(table)[5,1]) (r(table)[6,1])

reg parity_stat_z uniondur_z byear if sex == `s' & inc4 == `i' & condition`c' == 1 
mat li r(table)
frame post results (2) (`c') (`s') (`i') (r(table)[1,1]) (r(table)[2,1]) (r(table)[4,1]) (r(table)[5,1]) (r(table)[6,1])

}
}
}

frame change results
sort indep specification sex (income)
save "$path2\maineffects_rev2.dta", replace

cap frame change default
cap frame drop interacttest
frame create interacttest indep specification income ttest

forvalues c = 1/3 {
forvalues i = 0/4 {
* regression estimation and move results to frame
reg parity_stat_z forma_stat_z byear sex sex#c.forma_stat_z if inc4 == `i' & condition`c' == 1 
testparm  sex#c.forma_stat_z
frame post interacttest (1) (`c') (`i')  (r(p))

reg parity_stat_z uniondur_z byear sex sex#c.uniondur_z if inc4 == `i' & condition`c' == 1 
testparm  sex#c.uniondur_z
frame post interacttest (2) (`c') (`i')  (r(p))
}
}

frame change interacttest
sort indep specification (income)
gen p005 = (ttest<0.005)

merge 1:m indep specification income using "$path2\maineffects_rev2.dta", nogen
sort indep specification sex (income)
order indep specification sex income estimate se lci uci ttest p005, first

export excel using "W:\Linus\projects\unichiEVO\temp\results.xlsx", sheet("f3", replace) firstrow(variables) keepcellfmt
********************************************************************************



********************************************************************************
* FIGURE A2 A3

* controlling for afb

use "W:\Linus\projects\unichiEVO\temp\\raw1b_rnr_addtot.dta", clear

egen parity_stat_z =std(parity_stat)
egen forma_stat_z =std(forma_stat)
egen uniondur_z =std(uniondur)

* prepare model conditions
gen blank = 1
gen condition1 = 1 if parity_stat != 0
gen condition2 = 1 if forma_stat != 0
gen condition3 = 1 if blank == 1

* setup frame
cap frame drop results

frame create results indep specification sex income estimate se p lci uci

forvalues c = 1/1 {
forvalues s = 1/2 {
forvalues i = 0/4 {

* regression estimation and move results to frame
reg parity_stat_z forma_stat_z byear afb if sex == `s' & inc4 == `i' & condition`c' == 1 
mat li r(table)
frame post results (1) (`c') (`s') (`i') (r(table)[1,1]) (r(table)[2,1]) (r(table)[4,1]) (r(table)[5,1]) (r(table)[6,1])

reg parity_stat_z uniondur_z byear afb if sex == `s' & inc4 == `i' & condition`c' == 1 
mat li r(table)
frame post results (2) (`c') (`s') (`i') (r(table)[1,1]) (r(table)[2,1]) (r(table)[4,1]) (r(table)[5,1]) (r(table)[6,1])

}
}
}

frame change results
sort indep specification sex (income)
save "$path2\maineffects_afb.dta", replace

cap frame change default
cap frame drop interacttest
frame create interacttest indep specification income ttest

forvalues c = 1/1 {
forvalues i = 0/4 {
* regression estimation and move results to frame
reg parity_stat_z forma_stat_z byear sex sex#c.forma_stat_z if inc4 == `i' & condition`c' == 1 
testparm  sex#c.forma_stat_z
frame post interacttest (1) (`c') (`i')  (r(p))

reg parity_stat_z uniondur_z byear sex sex#c.uniondur_z if inc4 == `i' & condition`c' == 1 
testparm  sex#c.uniondur_z
frame post interacttest (2) (`c') (`i')  (r(p))
}
}

frame change interacttest
sort indep specification (income)
gen p005 = (ttest<0.005)

merge 1:m indep specification income using "$path2\maineffects_afb.dta", nogen
sort indep specification sex (income)
order indep specification sex income estimate se lci uci ttest p005, first

export excel using "W:\Linus\projects\unichiEVO\temp\results.xlsx", sheet("con_afb", replace) firstrow(variables) keepcellfmt
********************************************************************************



********************************************************************************
* Figure A4

* simulate results with added fertility for higher order union people

use "W:\Linus\projects\unichiEVO\temp\\raw1b_rnr_addtot.dta", clear

preserve
keep if sex == 1
egen q = sum(parity)
ta q // 300 000
gen w = (r(N)/100) * 1.5 // 3000 births
ta w
keep if unions > 1
display 1672/_N // 0.0402
gen e =  runiform()
gen r = (e < 0.0402)
keep shnro r inc4
save "W:\Linus\projects\unichiEVO\export\simbirth.dta", replace
restore 
merge 1:1 inc4 shnro using "W:\Linus\projects\unichiEVO\export\simbirth.dta"
recode r . = 0 
replace parity = parity + r 


egen parity_stat_z =std(parity_stat)
egen forma_stat_z =std(forma_stat)
egen uniondur_z =std(uniondur)

* prepare model conditions
gen blank = 1
gen condition1 = 1 if parity_stat != 0
gen condition2 = 1 if forma_stat != 0
gen condition3 = 1 if blank == 1

* setup frame
cap frame drop results

frame create results indep specification sex income estimate se p lci uci

forvalues c = 1/1 {
forvalues s = 1/2 {
forvalues i = 0/4 {

* regression estimation and move results to frame
reg parity_stat_z forma_stat_z byear if sex == `s' & inc4 == `i' & condition`c' == 1 
mat li r(table)
frame post results (1) (`c') (`s') (`i') (r(table)[1,1]) (r(table)[2,1]) (r(table)[4,1]) (r(table)[5,1]) (r(table)[6,1])

}
}
}

frame change results
sort  specification sex (income)
order specification sex income estimate se lci uci, first
export excel using "W:\Linus\projects\unichiEVO\temp\results.xlsx", sheet("sim", replace) firstrow(variables) keepcellfmt

********************************************************************************




********************************************************************************
* estimate as count data, poisson models, calculate AME

use "W:\Linus\projects\unichiEVO\temp\\raw1b_rnr_addtot.dta", clear
drop if inc4 == 0 

******************* Figure A5 (3-way interaction as count data, poisson)

* be_union_count_noctr_income (left)
preserve
poisson parity i.sex  ib1.unions i.inc4 i.sex##ib1.unions i.sex#ib1.unions#i.inc4 i.byear
margins sex, dydx(unions) at(inc4=(1(1)4)) noestimcheck
matrix define  C = r(table)'
drop _all
svmat C, names(col)
drop df crit eform
foreach x of varlist b se z pvalue ll ul {
recode `x' . = 0	
}
egen sex = seq(), f(1) t(2) b(1) 
egen union = seq(), f(0) t(5) b(8) 
egen income = seq(), f(1) t(4) b(2) 
export excel using "W:\Linus\projects\unichiEVO\temp\results.xlsx", sheet("be_union_count_noctr_income",replace) firstrow(variables) keepcellfmt
restore


* be_union_duration_noctr_income (right)
preserve
poisson parity i.sex  ib3.uniondurx2 i.inc4  i.sex#ib3.uniondurx2 i.sex#ib3.uniondurx2#i.inc4 i.byear
margins sex, dydx(uniondurx2) at(inc4=(1(1)4)) noestimcheck
matrix define  C = r(table)'
drop _all
svmat C, names(col)
drop df crit eform
foreach x of varlist b se z pvalue ll ul {
recode `x' . = 0	
}
egen sex = seq(), f(1) t(2) b(1) 
egen union = seq(), f(0) t(6) b(8) 
egen income = seq(), f(1) t(4) b(2) 
export excel using "W:\Linus\projects\unichiEVO\temp\results.xlsx", sheet("be_union_duration_noctr_income",replace) firstrow(variables) keepcellfmt
restore
******************* 




******************* Figure A6 (3-way interaction as count data, poisson, with controls)

* be_union_count_ctr_income (left)
preserve
poisson parity i.sex  ib1.unions i.inc4 i.sex##ib1.unions i.sex#ib1.unions#i.inc4 ib2.uniondurx2 i.byear
margins sex, dydx(unions) at(inc4=(1(1)4)) noestimcheck
matrix define  C = r(table)'
drop _all
svmat C, names(col)
drop df crit eform
foreach x of varlist b se z pvalue ll ul {
recode `x' . = 0	
}
egen sex = seq(), f(1) t(2) b(1) 
egen union = seq(), f(0) t(5) b(8) 
egen income = seq(), f(1) t(4) b(2) 
export excel using "W:\Linus\projects\unichiEVO\temp\results.xlsx", sheet("be_union_count_ctr_income",replace) firstrow(variables) keepcellfmt
restore

* be_union_duration_ctr_income (right)
preserve
poisson parity i.sex  ib3.uniondurx2 i.inc4  i.sex#ib3.uniondurx2 i.sex#ib3.uniondurx2#i.inc4 ib1.unions i.byear
margins sex, dydx(uniondurx2) at(inc4=(1(1)4)) noestimcheck
matrix define  C = r(table)'
drop _all
svmat C, names(col)
drop df crit eform
foreach x of varlist b se z pvalue ll ul {
recode `x' . = 0	
}
egen sex = seq(), f(1) t(2) b(1) 
egen union = seq(), f(0) t(6) b(8) 
egen income = seq(), f(1) t(4) b(2) 
export excel using "W:\Linus\projects\unichiEVO\temp\results.xlsx", sheet("be_union_duration_ctr_income",replace) firstrow(variables) keepcellfmt
restore
******************* Figure A6 



******************* Figure A7 (3-way interactionas count data, using negative binomial models)

* be_union_count_noctr_income (left)
preserve
nbreg parity i.sex  ib1.unions i.inc4 i.sex##ib1.unions i.sex#ib1.unions#i.inc4 i.byear
margins sex, dydx(unions) at(inc4=(1(1)4)) noestimcheck
matrix define  C = r(table)'
drop _all
svmat C, names(col)
drop df crit eform
foreach x of varlist b se z pvalue ll ul {
recode `x' . = 0	
}
egen sex = seq(), f(1) t(2) b(1) 
egen union = seq(), f(0) t(5) b(8) 
egen income = seq(), f(1) t(4) b(2) 
cd "W:\Linus\projects\unichiEVO\temp" // to sovlve _xlshwritestr():  9901  Stata returned error
export excel using "results.xlsx", sheet("be_union_count_noctr_income_nbreg",replace) firstrow(variables) keepcellfmt 
restore

* be_union_duration_noctr_income (right)
preserve
nbreg parity i.sex  ib3.uniondurx2 i.inc4  i.sex#ib3.uniondurx2 i.sex#ib3.uniondurx2#i.inc4 i.byear
margins sex, dydx(uniondurx2) at(inc4=(1(1)4)) noestimcheck
matrix define  C = r(table)'
drop _all
svmat C, names(col)
drop df crit eform
foreach x of varlist b se z pvalue ll ul {
recode `x' . = 0	
}
egen sex = seq(), f(1) t(2) b(1) 
egen union = seq(), f(0) t(6) b(8) 
egen income = seq(), f(1) t(4) b(2) 
export excel using "W:\Linus\projects\unichiEVO\temp\results.xlsx", sheet("be_union_duration_noctr_income_nbreg",replace) firstrow(variables) keepcellfmt
restore
*******************




******************* Figure A8 (marriage rather than all unions, count data)

*be_marry_count_ctr (left)
preserve
poisson parity i.sex ib1.marry i.sex#ib1.marry ib3.marrydurx2 i.byear
margins sex, dydx(marry) post noestimcheck 
matrix define  C = r(table)'
drop _all
svmat C, names(col)
drop df crit eform
foreach x of varlist b se z pvalue ll ul {
recode `x' . = 0	
}
egen sex = seq(), f(1) t(2) b(1) 
egen union = seq(), f(0) t(3) b(2) 
export excel using "W:\Linus\projects\unichiEVO\temp\results.xlsx", sheet("be_marry_count_ctr",replace) firstrow(variables) keepcellfmt
restore 

*be_marry_duration_ctr (right)
preserve
poisson parity i.sex ib3.marrydurx2 i.sex#ib3.marrydurx2 ib1.marry b1.unions i.byear
margins sex, dydx(marrydurx2) post noestimcheck
matrix define  C = r(table)'
drop _all
svmat C, names(col)
drop df crit eform
foreach x of varlist b se z pvalue ll ul {
recode `x' . = 0	
}
egen sex = seq(), f(1) t(2) b(1) 
egen duration = seq(), f(0) t(6) b(2) 
export excel using "W:\Linus\projects\unichiEVO\temp\results.xlsx", sheet("be_marry_duration_ctr",replace) firstrow(variables) keepcellfmt
restore
*******************

